# Method: purchases.subscriptions.acknowledge

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptions/acknowledge#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptions/acknowledge#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptions/acknowledge#body.request_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptions/acknowledge#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptions/acknowledge#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptions/acknowledge#body.aspect)
- [ExternalAccountIds](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptions/acknowledge#ExternalAccountIds)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptions/acknowledge#ExternalAccountIds.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptions/acknowledge#try-it)

Acknowledges a subscription purchase.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/purchases/subscriptions/{subscriptionId}/tokens/{token}:acknowledge`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` The package name of the application for which this subscription was purchased (for example, 'com.some.thing'). |
| `subscriptionId` | `string` Note: Since May 21, 2025, subscriptionId is not required, and not recommended for subscription with add-ons. The purchased subscription ID (for example, 'monthly001'). |
| `token` | `string` The token provided to the user's device when the subscription was purchased. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "developerPayload": string, "externalAccountIds": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptions/acknowledge#ExternalAccountIds`) } } ``` |

| Fields ||
|---|---|
| `developerPayload` | `string` Payload to attach to the purchase. |
| `externalAccountIds` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/purchases.subscriptions/acknowledge#ExternalAccountIds`)`` Optional. User account identifier in your app. |

### Response body

If successful, the response body is empty.

### Sample

The following is a sample request:

```json
curl -X POST \
  'https://androidpublisher.googleapis.com/androidpublisher/v3/applications/com.example.myapp/purchases/subscriptions/monthly_premium_001/tokens/abcDEF123ghiJKL456mnoPQR789:acknowledge' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
    "developerPayload": "AppSpecificInfo-UserID-12345"
  }'
```

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

## ExternalAccountIds

User account identifier in your app.

| JSON representation |
|---|
| ``` { "obfuscatedAccountId": string, "obfuscatedProfileId": string } ``` |

| Fields ||
|---|---|
| `obfuscatedAccountId` | `string` Optional. Specifies an optional obfuscated string that is uniquely associated with the purchaser's user account in your app. If you pass this value, Google Play can use it to detect irregular activity. Do not use this field to store any Personally Identifiable Information (PII) such as emails in cleartext. Attempting to store PII in this field will result in purchases being blocked. Google Play recommends that you use either encryption or a one-way hash to generate an obfuscated identifier to send to Google Play. This identifier is limited to 64 characters. This field can only be set for resubscription purchases. See <https://developer.android.com/reference/com/android/billingclient/api/BillingFlowParams.Builder#setobfuscatedaccountid> to set this field for purchases made using the standard in-app billing flow. |
| `obfuscatedProfileId` | `string` Optional. Specifies an optional obfuscated string that is uniquely associated with the purchaser's user profile in your app. If you pass this value, Google Play can use it to detect irregular activity. Do not use this field to store any Personally Identifiable Information (PII) such as emails in cleartext. Attempting to store PII in this field will result in purchases being blocked. Google Play recommends that you use either encryption or a one-way hash to generate an obfuscated identifier to send to Google Play. This identifier is limited to 64 characters. This field can only be set for resubscription purchases. See <https://developer.android.com/reference/com/android/billingclient/api/BillingFlowParams.Builder#setobfuscatedprofileid> to set this field for purchases made using the standard in-app billing flow. |